## libcaca 0.99.beta16

=== debian/changelog ===
libcaca (0.99.beta16-3) unstable; urgency=low

  * Acknowledging NMU, thanks to Ben Hutchings (Closes: #552762, #552763).
  * debian/rules: Work around an upstream bug preventing the libcucul
    symlinks from being created if sh is bash (Closes: #558807, #561094).
  * debian/control: Set policy to 3.8.3.
  * debian/source/format: Set format to 3.0 (quilt).

 -- Sam Hocevar <sho@debian.org>  Mon, 14 Dec 2009 22:43:50 +0100

libcaca (0.99.beta16-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add symbolic links to docs from libcucul dummy packages
    (Closes: #552762, #552763).

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 29 Nov 2009 01:18:05 +0000

libcaca (0.99.beta16-2) unstable; urgency=low

  * debian/control: set debhelper dependency to 5 and policy to 3.8.2.
  * 100_huge_whatis_entry.diff: new patch from upstream SVN: fix huge manual
    page whatis entries (Closes: #456758, #509800).

 -- Sam Hocevar <sho@debian.org>  Tue, 14 Jul 2009 11:03:02 +0000

libcaca (0.99.beta16-1) unstable; urgency=high

  * New upstream release. Fixes installation of legacy <cucul.h> and merges
    back all Debian patches.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 18 Oct 2008 12:45:00 +0000

libcaca (0.99.beta15-3) unstable; urgency=high

  * Set urgency to high due to RC bug fixing in the previous upload.
  * 210_pc_fix.diff: fix an infinite loop in the .pc file.
  * caca-utils.postinst, caca-utils.prerm: abort maintainer scripts on error.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 06 Oct 2008 09:45:22 +0000

libcaca (0.99.beta15-2) unstable; urgency=low

  * 010_asm_detection.diff: new patch from upstream to fix detection
    of assembly instructions (Closes: #500492).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 05 Oct 2008 15:53:16 +0000

libcaca (0.99.beta15-1) unstable; urgency=low

  * New upstream release.
  * debian/control: now that libcucul was merged into libcaca, libcucul
    packages are empty.
  * debian/copyright: updated copyright information.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 27 Sep 2008 16:36:40 +0000

libcaca (0.99.beta14-1) unstable; urgency=low

  * New upstream release.

  * debian/patches/100_gcc_4.3_build_fix.diff
    debian/patches/200_revert_api_breakage.diff:
    + Patches merged upstream. Dropping them.


 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 05 Jul 2008 16:35:57 +0000

libcaca (0.99.beta13b-5) unstable; urgency=low

  * debian/control:
    + Build-depend on libncursesw5-dev instead of libncurses5-dev so that the
      ncurses driver works properly with UTF-8.
    + Set policy to 3.8.0. No changes required.
    + Add a Homepage: header.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 18 Jun 2008 15:37:39 +0000

libcaca (0.99.beta13b-4) unstable; urgency=high

  * debian/control:
    + Disable the mono-gmcs build-dependency for now. C# bindings are not
      shipped yet.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 16 Dec 2007 12:12:29 +0100

libcaca (0.99.beta13b-3) unstable; urgency=low

  * debian/rules:
    + Build with --disable-csharp due to a weird gmcs crash.

  * debian/control:
    + Set policy to 3.7.3.

  * debian/patches/100_gcc_4.3_build_fix.diff:
    + New patch. Add missing #include <cstring> to fix gcc-3.4 FTBFS
      (Closes: #456074).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 14 Dec 2007 16:01:40 +0000

libcaca (0.99.beta13b-2) unstable; urgency=low

  * debian/patches/200_revert_api_breakage.diff:
    + Revert upstream API breakage or software in Debian will FTBFS.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 01 Dec 2007 15:08:12 +0000

libcaca (0.99.beta13b-1) unstable; urgency=low

  * New upstream release.

  * debian/control:
    + Do not build-depend on the whole texlive suite, but on more fine-grained
      packages. Thanks to Norbert Preining for the hints (latex -recorder, then
      inspect the .fls file).
  * Ship libcaca++, libcucul++ and their development files.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 25 Nov 2007 19:08:40 +0000

libcaca (0.99.beta12.debian-3) unstable; urgency=low

  * debian/control:
    + Build-depend on texlive instead of all the other texlive-* packages so
      that we have the proper fonts at build time (Closes: #445797).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 13 Oct 2007 20:10:44 -0400

libcaca (0.99.beta12.debian-2) unstable; urgency=low

  * Use quilt in the build process.

  * debian/patches/010_show_latex_log_on_error.diff:
    + Output refman.log if refman.tex fails to build for whatever reason.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 07 Oct 2007 20:45:59 +0000

libcaca (0.99.beta12.debian-1) unstable; urgency=low

  * New upstream release.
    + This release fixes a bug in ANSI import that was mistakenly ignoring
      \r control characters (Closes: #438370).

  * debian/control:
    + Changed the tetex build-dependencies into texlive build-dependencies.
    + Replaced ${Source-Version} with ${source:Version} and ${binary:Version}.

  * debian/rules:
    + Don’t ignore make distclean failures.
    + Removed old toilet build rules.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 30 Sep 2007 14:28:35 +0000

libcaca (0.99.beta11.debian-3) unstable; urgency=high

  * debian/control:
    + Removed spurious Conflicts: figlet.
    + Removed mention of TOIlet in the long description.
    + Added Vcs fields.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 03 Apr 2007 00:48:13 +0200

libcaca (0.99.beta11.debian-2) unstable; urgency=high

  * Remove toilet from caca-utils now that it has entered testing.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun,  3 Dec 2006 02:05:11 +0100

libcaca (0.99.beta11.debian-1) unstable; urgency=high

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 16 Nov 2006 17:29:27 +0100


