=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

confflags += --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
confflags += --enable-ncurses --enable-slang --enable-x11 --enable-gl \
	     --enable-imlib2 --enable-plugins --enable-doc
confflags += --disable-csharp

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch aclocal.m4
	touch configure
	touch config.h.in
	touch `find -name Makefile.in`
	./configure $(confflags) --prefix=/usr
	sed -i 's@[.] libcaca.la@. ./libcaca.la || exit 1@' caca/Makefile
	sed -i 's@[.] libcaca++.la@. ./libcaca++.la || exit 1@' cxx/Makefile
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -plibcucul0
	dh_installdirs usr/lib -plibcaca0
	dh_installdirs usr/bin usr/share/doc/caca-utils usr/share/man/man1 -pcaca-utils
	dh_installdirs -plibcucul-dev
	dh_installdirs -plibcaca-dev
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	dh_install --sourcedir=debian/tmp --list-missing

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs -p libcaca-dev -A README AUTHORS NEWS NOTES THANKS
	dh_installdocs -p libcaca0
	dh_installdocs -p caca-utils
#	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
#	dh_installmanpages
	dh_installinfo
	dh_installmime
#	dh_undocumented
	dh_installchangelogs -p libcaca-dev ChangeLog
	dh_installchangelogs -p libcaca0 ChangeLog
	dh_installchangelogs -p caca-utils ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -p libcaca0 -V 'libcaca0 (>= 0.99.beta15-1)'
	dh_installdeb
#	dh_perl
	dh_shlibdeps -L libcaca0 -l debian/libcaca0/usr/lib -X /usr/lib/caca/
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
