## libcaca 0.99.beta17

=== debian/changelog ===
libcaca (0.99.beta17-2ubuntu1) oneiric; urgency=low

  * Add build dependencies on latex-xcolor and texlive-latex-extra, needed
    for documentation building.  Closes: #638589, LP: #829444.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 22 Aug 2011 10:27:12 -0700

libcaca (0.99.beta17-2) unstable; urgency=low

  * debian/rules: do no install .la files (Closes: #621583).
  * debian/compat: use debhelper 8.
  * Get rid of old dummy packages.

 -- Sam Hocevar <sho@debian.org>  Sun, 19 Jun 2011 18:52:20 +0200

libcaca (0.99.beta17-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar <sho@debian.org>  Mon, 08 Feb 2010 01:40:59 +0000
