=== debian/control ===
Source: libcaca
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sam Hocevar <sho@debian.org>
Build-Depends: debhelper (>= 8.0), pkg-config, libncursesw5-dev, libslang2-dev, libx11-dev, libimlib2-dev, freeglut3-dev, doxygen, texlive-latex-base, texlive-latex-recommended, texlive-fonts-recommended, ruby1.8-dev, latex-xcolor, texlive-latex-extra
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/sam-hocevar/pkg-misc/unstable/libcaca
Vcs-Browser: http://svn.debian.org/wsvn/sam-hocevar/pkg-misc/unstable/libcaca/
Homepage: http://caca.zoy.org/wiki/libcaca

Package: libcaca-dev
Section: libdevel
Architecture: any
Depends: libcaca0 (= ${binary:Version}), ${misc:Depends}, libncurses5-dev, libslang2-dev
Description: development files for libcaca
 libcaca is the Colour AsCii Art library. It provides high level functions
 for colour text drawing, simple primitives for line, polygon and ellipse
 drawing, as well as powerful image to text conversion routines.
 .
 This package contains the header files and static libraries needed to
 compile applications or shared objects that use libcaca.

Package: libcaca0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: colour ASCII art library
 libcaca is the Colour AsCii Art library. It provides high level functions
 for colour text drawing, simple primitives for line, polygon and ellipse
 drawing, as well as powerful image to text conversion routines.
 .
 This package contains the shared library for libcaca.

Package: caca-utils
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: toilet
Conflicts: libcaca-dev (<= 0.3-1)
Replaces: libcaca-dev (<= 0.3-1)
Description: text mode graphics utilities
 This package contains utilities and demonstration programs for libcaca, the
 Colour AsCii Art library.
 .
 cacaview is a simple image viewer for the terminal. It opens most image
 formats such as JPEG, PNG, GIF etc. and renders them on the terminal using
 ASCII art. The user can zoom and scroll the image, set the dithering method
 or enable anti-aliasing.
 .
 cacafire is a port of AALib's aafire and displays burning ASCII art flames.
 .
 cacademo is a tiny graphic program that renders animated ASCII metaballs,
 matrix effects, colourful moiré circles and old school plasma effects.
