=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,8 @@
 
 confflags += --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
 confflags += --enable-ncurses --enable-slang --enable-x11 --enable-gl \
-	     --enable-imlib2 --enable-plugins --enable-doc
-confflags += --disable-csharp
+	     --enable-imlib2 --enable-plugins --enable-cxx --enable-doc
+confflags += --disable-csharp --disable-java --disable-ruby
 
 configure: configure-stamp
 configure-stamp:
@@ -24,14 +24,15 @@
 	touch config.h.in
 	touch `find -name Makefile.in`
 	./configure $(confflags) --prefix=/usr
-	sed -i 's@[.] libcaca.la@. ./libcaca.la || exit 1@' caca/Makefile
-	sed -i 's@[.] libcaca++.la@. ./libcaca++.la || exit 1@' cxx/Makefile
 	touch configure-stamp
 
 build: configure-stamp build-stamp
 build-stamp:
 	dh_testdir
 	$(MAKE)
+ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
+	$(MAKE) check
+endif
 	touch build-stamp
 
 clean:
@@ -44,11 +45,9 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
-	dh_installdirs -plibcucul0
+	dh_prep
 	dh_installdirs usr/lib -plibcaca0
 	dh_installdirs usr/bin usr/share/doc/caca-utils usr/share/man/man1 -pcaca-utils
-	dh_installdirs -plibcucul-dev
 	dh_installdirs -plibcaca-dev
 	$(MAKE) install DESTDIR=`pwd`/debian/tmp
 	dh_install --sourcedir=debian/tmp --list-missing
@@ -83,7 +82,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_makeshlibs -p libcaca0 -V 'libcaca0 (>= 0.99.beta15-1)'
+	dh_makeshlibs -p libcaca0 -V 'libcaca0 (>= 0.99.beta17-1)'
 	dh_installdeb
 #	dh_perl
 	dh_shlibdeps -L libcaca0 -l debian/libcaca0/usr/lib -X /usr/lib/caca/
