## libcaca 0.99.beta18

=== debian/changelog ===
libcaca (0.99.beta18-1ubuntu5) trusty; urgency=medium

  * Use dh-autoreconf for current libtool.
  * 300_no_more_pdf_pain.diff: remove the problematic code, instead of
    creating a conditional tag that automake isn't happy with; and stop
    patching Makefile.in directly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 16 Dec 2013 00:53:41 +0000

libcaca (0.99.beta18-1ubuntu4) trusty; urgency=low

  * debian/control: drop ruby1.8-dev Build-Depends, since it's no longer
    needed. (Debian bug #723642) (LP: #1254052)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 25 Nov 2013 13:31:32 -0500

libcaca (0.99.beta18-1ubuntu3) trusty; urgency=low

  * debian/control: Add XS-Testsuite header to enable autopkgtest discovery
    (LP: #1246414)

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>  Wed, 30 Oct 2013 18:18:58 +0100

libcaca (0.99.beta18-1ubuntu2) saucy; urgency=low

  * 300_no_more_pdf_pain.diff: Stop crippling buildds while attempting
    to produce broken PDFs until Debian bug #716985 is fixed upstream.
  * 400-doxygen-test-shutup.diff: Stop failing for doxygen warnings. 

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 08 Oct 2013 05:53:56 -0600

libcaca (0.99.beta18-1ubuntu1) raring; urgency=low

  * Add simple autopkgtest to the package. 

 -- Vibhav Pant <vibhavp@ubuntu.com>  Tue, 12 Feb 2013 15:56:54 +0100

libcaca (0.99.beta18-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge Gregor Herrmann's NMU (Closes: #616254, #638589).
  * Add multiarch support, courtesy of William A Van Hevelingen and
    Johannes Kloos (Closes: #651009).
  * debian/control: drop the libncurses5-dev dependency in the -dev package
    (Closes: #646515).

 -- Sam Hocevar <sho@debian.org>  Fri, 06 Apr 2012 23:14:18 +0200

libcaca (0.99.beta17-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Missing build dependancies for documentation building." and "replace
    doxygen and texlive-* build dependencies with doxygen-latex": add build
    dependency on doxygen-latex, drop doxygen and texlive-* (except
    texlive-fonts-recommended).
    Closes: #616254, #638589
    LP: #829444

 -- gregor herrmann <gregoa@debian.org>  Thu, 22 Sep 2011 17:00:24 +0200
