=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Sam Hocevar <sho@debian.org>
-Build-Depends: debhelper (>= 8.0), pkg-config, libncursesw5-dev, libslang2-dev, libx11-dev, libimlib2-dev, freeglut3-dev, doxygen, texlive-latex-base, texlive-latex-recommended, texlive-fonts-recommended, ruby1.8-dev, latex-xcolor, texlive-latex-extra
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8.1.3~), pkg-config, libncursesw5-dev, libslang2-dev, libx11-dev, libimlib2-dev, freeglut3-dev, texlive-fonts-recommended, doxygen-latex, dh-autoreconf
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/sam-hocevar/pkg-misc/unstable/libcaca
 Vcs-Browser: http://svn.debian.org/wsvn/sam-hocevar/pkg-misc/unstable/libcaca/
 Homepage: http://caca.zoy.org/wiki/libcaca
+XS-Testsuite: autopkgtest
 
 Package: libcaca-dev
 Section: libdevel
 Architecture: any
-Depends: libcaca0 (= ${binary:Version}), ${misc:Depends}, libncurses5-dev, libslang2-dev
+Depends: libcaca0 (= ${binary:Version}), ${misc:Depends}, libslang2-dev
 Description: development files for libcaca
  libcaca is the Colour AsCii Art library. It provides high level functions
  for colour text drawing, simple primitives for line, polygon and ellipse
@@ -24,7 +25,9 @@
 Package: libcaca0
 Section: libs
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Description: colour ASCII art library
  libcaca is the Colour AsCii Art library. It provides high level functions
  for colour text drawing, simple primitives for line, polygon and ellipse
@@ -36,6 +39,7 @@
 Section: utils
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: foreign
 Recommends: toilet
 Conflicts: libcaca-dev (<= 0.3-1)
 Replaces: libcaca-dev (<= 0.3-1)
