=== debian/tests/control ===
Tests: build
Depends: libcaca-dev, build-essential, pkg-config
