## libcaca 0.99.beta19

=== debian/changelog ===
libcaca (0.99.beta19-2ubuntu2) disco; urgency=medium

  * Don't build pdf documentation as this causes a FTBFS with recent
    versions of latex packages.
    - debian/control: switch Build-Depends from doxygen-latex to doxygen.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 25 Jan 2019 07:48:50 -0500

libcaca (0.99.beta19-2ubuntu1) disco; urgency=medium

  * SECURITY UPDATE: Floating point exception
    - debian/patches/CVE-2018-20544.patch: fix in
      caca/dither.c.
    - CVE-2018-20544
  * SECURITY UPDATE: Buffer over-write
    - debian/patches/CVE-2018-20545_20548_20549.patch:
      fix in src/common-image.h.
    - CVE-2018-20545
    - CVE-2018-20548
    - CVE-2018-20549
  * SECURITY UPDATE: Buffer over-read
    - debian/patches/CVE-2018-20546_20547.patch: fix in
      caca/dither.c.
    - CVE-2018-20546
    - CVE-2018-20547

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 14 Jan 2019 14:25:44 -0300

libcaca (0.99.beta19-2build2~gcc5.3) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:31:55 +0000

libcaca (0.99.beta19-2build2~gcc5.2) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:54:16 +0000

libcaca (0.99.beta19-2build2~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Jul 2015 17:06:09 +0000

libcaca (0.99.beta19-2build1) vivid; urgency=medium

  * No change rebuild to get debug symbols on all architectures.

 -- Brian Murray <brian@ubuntu.com>  Tue, 25 Nov 2014 14:56:14 -0800

libcaca (0.99.beta19-2) unstable; urgency=medium

  * debian/patches/100_doxygen.diff: remove deprecated Doxygen variables.

 -- Sam Hocevar <sho@debian.org>  Mon, 02 Jun 2014 22:38:19 +0200

libcaca (0.99.beta19-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: fix build stamp dependency issues (Closes: #708406).
  * debian/rules: use dh_autoreconf as recommended (Closes: #747116).
  * Acknowledge Balint Reczey’s NMU (Closes: #723642, #716985).
  * debian/caca-utils.mime: remove XBM support, cacaview doesn’t actually
    support it (Closes: #723694), and add PNM support (Closes: #724003).
  * debian/caca-utils.mime: add a runtime test for the X display to avoid
    a terminal from popping if we’re not going to need it (Closes: #724630).
  * debian/control: add DEP-8 tests courtesy of Vibhav Pant (Closes: #701682).

 -- Sam Hocevar <sho@debian.org>  Fri, 16 May 2014 18:55:36 +0200

libcaca (0.99.beta18-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop dependency on ruby1.8-dev (Closes: #723642)
  * Fix FTBFS due to post-processing Doxygen's output (Closes: #716985)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 05 Feb 2014 15:03:35 +0100
