=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Sam Hocevar <sho@debian.org>
-Build-Depends: debhelper (>= 8.1.3~), pkg-config, libncursesw5-dev, libslang2-dev, libx11-dev, libimlib2-dev, freeglut3-dev, texlive-fonts-recommended, doxygen-latex, dh-autoreconf
+Build-Depends: debhelper (>= 8.1.3~), dh-autoreconf, pkg-config, libncursesw5-dev, libslang2-dev, libx11-dev, libimlib2-dev, freeglut3-dev, texlive-fonts-recommended, doxygen
 Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/sam-hocevar/pkg-misc/unstable/libcaca
 Vcs-Browser: http://svn.debian.org/wsvn/sam-hocevar/pkg-misc/unstable/libcaca/
