## libcaca 0.99.beta19.2

=== debian/changelog ===
libcaca (0.99.beta19.2-deepin1) unstable; urgency=medium

  * update version number. 

 -- dinghao <dinghao@uniontech.com>  Mon, 05 Dec 2022 18:03:29 +0800

libcaca (0.99.beta19.1.1-deepin1) unstable; urgency=medium

  * fix CVE-2021-30498 and CVE-2021-30499. 

 -- dinghao <dinghao@uniontech.com>  Fri, 01 Dec 2022 19:07:29 +0800

libcaca (0.99.beta19.1-1) unstable; urgency=medium

  * Non-maintainer upload. 

 -- Liu Heng <liuhenga@uniontech.com>  Thu, 23 Sep 2021 15:40:26 +0800

libcaca (0.99.beta19-2.1~deb9u2) unstable; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Fix CVE-2021-3410: buffer overflow issue may lead to local
    execution of arbitrary code

 -- Abhijith PA <abhijith@debian.org>  Sat, 06 Mar 2021 14:34:12 +0530

libcaca (0.99.beta19-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-Pick fixes from upstream git repository:
    - CVE-2018-20545, CVE-2018-20546, CVE-2018-20547,CVE-2018-20548 and
      CVE-2018-20549 (Closes: #917807)

 -- Tobias Frost <tobi@debian.org>  Sat, 06 Apr 2019 22:18:41 +0200
