=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 #export DH_VERBOSE=1
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 # FOR AUTOCONF 2.52 AND NEWER ONLY
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
@@ -15,31 +16,38 @@
 confflags += --enable-ncurses --enable-slang --enable-x11 --enable-gl \
 	     --enable-imlib2 --enable-plugins --enable-cxx --enable-doc
 confflags += --disable-csharp --disable-java --disable-ruby
+confflags += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	touch aclocal.m4
-	touch configure
-	touch config.h.in
-	touch `find -name Makefile.in`
+	dh_autoreconf
 	./configure $(confflags) --prefix=/usr
 	touch configure-stamp
 
-build: configure-stamp build-stamp
-build-stamp:
+build: build-arch
+
+build-all: build-arch build-indep
+
+build-arch: build-arch-stamp
+build-arch-stamp: configure-stamp
 	dh_testdir
 	$(MAKE)
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
 	$(MAKE) check
 endif
-	touch build-stamp
+	touch build-arch-stamp
+
+build-indep: build-indep-stamp
+	dh_testdir
+	touch build-indep-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
 	[ ! -f Makefile ] || $(MAKE) distclean
-	rm -f build-stamp configure-stamp
+	dh_autoreconf_clean
+	rm -f build-arch-stamp build-indep-stamp configure-stamp
 	dh_clean
 
 install: build
@@ -85,7 +93,8 @@
 	dh_makeshlibs -p libcaca0 -V 'libcaca0 (>= 0.99.beta17-1)'
 	dh_installdeb
 #	dh_perl
-	dh_shlibdeps -L libcaca0 -l debian/libcaca0/usr/lib -X /usr/lib/caca/
+	dh_shlibdeps -L libcaca0 -l debian/libcaca0/usr/lib/$(DEB_HOST_MULTIARCH)/ -X /usr/lib/$(DEB_HOST_MULTIARCH)/caca/
+	dh_lintian
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
