=== debian/control ===
Source: libcaca
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 doxygen,
 freeglut3-dev,
 libimlib2-dev,
 libncurses-dev,
 libx11-dev,
 pkgconf
Rules-Requires-Root: no
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/multimedia-team/libcaca
Vcs-Git: https://salsa.debian.org/multimedia-team/libcaca.git
Homepage: http://caca.zoy.org/wiki/libcaca

Package: libcaca-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libcaca0 (= ${binary:Version}),
 libslang2-dev,
 ${misc:Depends}
Description: development files for libcaca
 libcaca is the Colour AsCii Art library. It provides high level functions
 for colour text drawing, simple primitives for line, polygon and ellipse
 drawing, as well as powerful image to text conversion routines.
 .
 This package contains the header files and static libraries needed to
 compile applications or shared objects that use libcaca.

Package: libcaca0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 ${shlibs:Recommends}
Multi-Arch: same
Description: colour ASCII art library
 libcaca is the Colour AsCii Art library. It provides high level functions
 for colour text drawing, simple primitives for line, polygon and ellipse
 drawing, as well as powerful image to text conversion routines.
 .
 This package contains the shared library for libcaca.

Package: caca-utils
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Multi-Arch: foreign
Recommends:
 toilet
Description: text mode graphics utilities
 This package contains utilities and demonstration programs for libcaca, the
 Colour AsCii Art library.
 .
 cacaview is a simple image viewer for the terminal. It opens most image
 formats such as JPEG, PNG, GIF etc. and renders them on the terminal using
 ASCII art. The user can zoom and scroll the image, set the dithering method
 or enable anti-aliasing.
 .
 cacafire is a port of AALib's aafire and displays burning ASCII art flames.
 .
 cacademo is a tiny graphic program that renders animated ASCII metaballs,
 matrix effects, colourful moiré circles and old school plasma effects.
