=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	--enable-ncurses \
	--enable-x11 \
	--enable-gl \
	--enable-imlib2 \
	--enable-plugins \
	--enable-cxx \
	--enable-doc \
	--disable-csharp \
	--disable-java \
	--disable-python \
	--disable-ruby \
	--disable-slang

override_dh_shlibdeps:
	dh_shlibdeps -X _plugin.so -- \
			-dRecommends $(wildcard debian/libcaca0/usr/lib/$(DEB_HOST_MULTIARCH)/caca/*.so) \
			-dDepends
