=== debian/tests/control ===
Tests: build
Depends:
 build-essential,
 libcaca-dev,
 pkg-config
